import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listAccredit(query) {
  return request({
    url: '/etl/sourceAccredit/list',
    method: 'get',
    params: query
  })
}

// 根据数据源id查询授权信息
export function getSourceAccreditByDataSourceId(id) {
  return request({
    url: '/etl/sourceAccredit/GetSourceAccreditByDataSourceId?id='+id,
    method: 'get'
  })
}

// 查询【请填写功能名称】详细
export function getAccredit(id) {
  return request({
    url: '/etl/sourceAccredit/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addSourceAccredit(data) {
  return request({
    url: '/etl/sourceAccredit',
    method: 'post',
    data: data
  })
}

// 新增【请填写功能名称】
export function deleteSourceAccreditBySourceIds(data) {
  return request({
    url: '/etl/sourceAccredit/DeleteSourceAccreditBySourceIds',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateAccredit(data) {
  return request({
    url: '/etl/sourceAccredit',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delAccredit(id) {
  return request({
    url: '/etl/sourceAccredit/' + id,
    method: 'delete'
  })
}
